#include "stdafx.h"
#include "4Reg.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// _xZkqqHx_iPgPjHmNiNiAjGnKiCmM_xHqqkZx_ID_xZkqqHx_iBeCiPiHjEnEiCpAjFmPiCkGiCmEiCmNiCmIiCoHiCmIiCkCiBeC_xHqqkZx_
// _xZkqqHx_iNiAjGnKiCpAjBjNiCoCiClHiPoKiNiHiCmNiBeBiNmFiMoDiCmJjCmHiJmBiBeC_xHqqkZx_
enum
{
	FDRDST_NONE = 0,
	FDRDST_IS_SNAP,	// _xZkqqHx_iDfIiDgJiDgCiDhGiCmNjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_IS_GRID_VISIBLE,	// _xZkqqHx_iDePiDiKiDgCiDgIiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_IS_PAGE_VISIBLE,	// _xZkqqHx_iDhJiBfLiDfHiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_SNAP_INTERVAL,	// _xZkqqHx_iDfIiDgJiDgCiDhGiKnEiKhFiBeC_xHqqkZx_
	FDRDST_GRID_INTERVAL,	// _xZkqqHx_iDePiDiKiDgCiDgIiKnEiKhFiBeC_xHqqkZx_
	FDRDST_IS_TEXT_FORM_J1,	// _xZkqqHx_jDpKjGhLiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_IS_TEXT_FORM_E1,	// _xZkqqHx_iJhAiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_STD_FONT_CHARSET,	// _xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiBeCiBeC_xHqqkZx_
	FDRDST_IS_USE_STD_FONT,	// _xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiCpAiOgHjHhAiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_IS_SHOW_OBJ_LABEL,	// _xZkqqHx_iDiJiDhIiDiLjFjEjFgJiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
	FDRDST_FRONT_ARROW_AUTO_GAP,	// _xZkqqHx_jBePjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiEiBeC_xHqqkZx_
	FDRDST_BACK_ARROW_AUTO_GAP,	// _xZkqqHx_iMoDjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiEiBeC_xHqqkZx_
	FDRDST_SNAP_ANGLE,	// _xZkqqHx_iKhAjDhIiDfIiDgJiDgCiDhGiCmMiKnEiKhFiBeC_xHqqkZx_
	FDRDST_SNAP_POSITION,	// _xZkqqHx_jFjEjFgJiInKjDkOiOjOiCmMiDfIiDgJiDgCiDhGiImKjChFiBeC_xHqqkZx_
	FDRDST_RESIZE_FIX_POSITION,	// _xZkqqHx_jFjEjFgJiDiKiDfEiDeDiDfJiOjOiCmMiMmFjCoIjDfPiImKjChFiBeC_xHqqkZx_
	FDRDST_IS_PAGE_MARGIN_VISIBLE,	// _xZkqqHx_jFlGiPjBjHhAiOiGjHfNjEjCiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	FDRDST_SHEET_COLOR,	// _xZkqqHx_iDfGiBfLiDgHjAeGiBeC_xHqqkZx_
	FDRDST_IS_PAINT_SHEET_ON_PRINT,	// _xZkqqHx_iIpDiNpMiOjOiCmJiDfGiBfLiDgHiCpAjDgIiCoJiCkJiBeIiBeC_xHqqkZx_
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
};

MC4Reg::MC4Reg ()
{
	//----- InStream _xZkqqHx_iCmFjCgMiCkKjDpMiCmBiCmEiCkNiCoJiCmGiCmNiMmAiCoHiCmIiCkCiCmMiCmFiBeBiPiJiKpKiJlLjFeLjAhL_xHqqkZx_ -----
	//-----	_xZkqqHx_iDfIiDgJiDgCiDhGiCmNjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsSnap =	FALSE;

	//-----	_xZkqqHx_iDePiDiKiDgCiDgIiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsGridVisible = TRUE;

	//-----	_xZkqqHx_iDhJiBfLiDfHiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsPageVisible = TRUE;

	//-----	_xZkqqHx_iDfIiDgJiDgCiDhGiKnEiKhF_xHqqkZx_ -----
	m_SnapInterval = DBLPoint(10.0,	10.0);

	//-----	_xZkqqHx_iDePiDiKiDgCiDgIiKnEiKhF_xHqqkZx_ -----
	m_GridInterval = DBLPoint(10.0,	10.0);

	//-----	_xZkqqHx_jDpKjGhLiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsTextFormJ1	= TRUE;

	//-----	_xZkqqHx_iJhAiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsTextFormE1	= TRUE;

	//-----	_xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiBeC_xHqqkZx_ -----
	m_wStdFontCharset =	FFUtilFontI->GetStdFont().lfCharSet;

	//-----	_xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiCpAiOgHjHhAiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsUseStdFont	= TRUE;

	//-----	_xZkqqHx_iDiJiDhIiDiLjFjEjFgJiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsShowObjLabel =	TRUE;

//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	//-----	_xZkqqHx_iDfCiDhDiBfLiOjOiCmMiJpAjBjMjDhI_xHqqkZx_ -----
//	m_dwCopyResolution = 1;
//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

	//-----	_xZkqqHx_jBePjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiE_xHqqkZx_ -----
	m_mmFrontArrowAutoGap = 0.0;

	//-----	_xZkqqHx_iMoDjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiE_xHqqkZx_ -----
	m_mmBackArrowAutoGap = 0.0;

	//-----	_xZkqqHx_iKhAjDhIiDfIiDgJiDgCiDhGiCmMiKnEiKhF_xHqqkZx_ -----
	m_angSnapAngle = 0.05;

	//-----	_xZkqqHx_jFjEjFgJiInKjDkOiOjOiCmMiDfIiDgJiDgCiDhGiImKjChF_xHqqkZx_ -----
	m_wSnapPosition = FD_HIT_UPPER_LEFT;

	//-----	_xZkqqHx_jFjEjFgJiDiKiDfEiDeDiDfJiOjOiCmMiMmFjCoIjDfPiImKjChF_xHqqkZx_ -----
	m_wResizeFixPosition = FD_HIT_UPPER_LEFT;

	//-----	_xZkqqHx_jFlGiPjBjHhAiOiGjHfNjEjCiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	m_bIsPageMarginVisible = FALSE;

//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	//-----	_xZkqqHx_iDfGiBfLiDgHjAeG_xHqqkZx_ -----
	m_dwSheetColor = DWORD(-1);

	//-----	_xZkqqHx_iIpDiNpMiOjOiCmJiDfGiBfLiDgHiCpAjDgIiCoJiCkJiBeI_xHqqkZx_ -----
	m_bIsPaintSheetOnPrint = FALSE;
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
} // MC4Reg::MC4Reg.

MC4Reg::~MC4Reg ()
{
} // MC4Reg::~MC4Reg.

void MC4Reg::InStream (CArchive& ar)
{
	// _xZkqqHx_iDgGiBfLiDfOiDfEiDeDiDfJiCpAjDpMjHmNiClHiCoJiBeC_xHqqkZx_
	DWORD dwSize;
	ar >> dwSize;
	BYTEVector vStream(dwSize);
//----- 06.05.11 Fukushiro M. _xZkqqHx_jFmPiNfIjBeP_xHqqkZx_ ()-----
//	ar.Read(vStream.begin(), dwSize);
//	const BYTE* pStreamHead = vStream.begin();
//----- 06.05.11 Fukushiro M. _xZkqqHx_jFmPiNfIiMoD_xHqqkZx_ ()-----
	ar.Read(&vStream.front(), dwSize);
	const BYTE* pStreamHead = &vStream.front();
	const BYTE* pStreamEnd = pStreamHead + vStream.size();
//----- 06.05.11 Fukushiro M. _xZkqqHx_jFmPiNfIiPeJ_xHqqkZx_ ()-----
// 06.05.11 Fukushiro M. 1_xZkqqHx_iNhDjFmPiNfI_xHqqkZx_ ()
//	while (pStreamHead != vStream.end())
	while (pStreamHead != pStreamEnd)
	{
		BYTE byType;
		ReadData(byType, pStreamHead);
		switch (byType)
		{
		case FDRDST_IS_SNAP:	// _xZkqqHx_iDfIiDgJiDgCiDhGiCmNjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsSnap,	pStreamHead);
			break;
		case FDRDST_IS_GRID_VISIBLE:	// _xZkqqHx_iDePiDiKiDgCiDgIiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsGridVisible, pStreamHead);
			break;
		case FDRDST_IS_PAGE_VISIBLE:	// _xZkqqHx_iDhJiBfLiDfHiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsPageVisible, pStreamHead);
			break;
		case FDRDST_SNAP_INTERVAL:	// _xZkqqHx_iDfIiDgJiDgCiDhGiKnEiKhFiBeC_xHqqkZx_
			ReadData(m_SnapInterval, pStreamHead);
			break;
		case FDRDST_GRID_INTERVAL:	// _xZkqqHx_iDePiDiKiDgCiDgIiKnEiKhFiBeC_xHqqkZx_
			ReadData(m_GridInterval, pStreamHead);
			break;
		case FDRDST_IS_TEXT_FORM_J1:	// _xZkqqHx_jDpKjGhLiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsTextFormJ1, pStreamHead);
			break;
		case FDRDST_IS_TEXT_FORM_E1:	// _xZkqqHx_iJhAiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsTextFormE1, pStreamHead);
			break;
		case FDRDST_STD_FONT_CHARSET:	// _xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiBeCiBeC_xHqqkZx_
			ReadData(m_wStdFontCharset,	pStreamHead);
			break;
		case FDRDST_IS_USE_STD_FONT:	// _xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiCpAiOgHjHhAiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsUseStdFont, pStreamHead);
			break;
		case FDRDST_IS_SHOW_OBJ_LABEL:	// _xZkqqHx_iDiJiDhIiDiLjFjEjFgJiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsShowObjLabel,	pStreamHead);
			break;
//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//		case FDRDST_COPY_RESOLUTION:	// _xZkqqHx_iDfCiDhDiBfLiOjOiCmMiJpAjBjMjDhIiBeC_xHqqkZx_
//			ReadData(m_dwCopyResolution, pStreamHead);
//			break;
//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
		case FDRDST_FRONT_ARROW_AUTO_GAP:	// _xZkqqHx_jBePjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiEiBeC_xHqqkZx_
			ReadData(m_mmFrontArrowAutoGap,	pStreamHead);
			break;
		case FDRDST_BACK_ARROW_AUTO_GAP:	// _xZkqqHx_iMoDjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiEiBeC_xHqqkZx_
			ReadData(m_mmBackArrowAutoGap, pStreamHead);
			break;
		case FDRDST_SNAP_ANGLE:	// _xZkqqHx_iKhAjDhIiDfIiDgJiDgCiDhGiCmMiKnEiKhFiBeC_xHqqkZx_
			ReadData(m_angSnapAngle, pStreamHead);
			break;
		case FDRDST_SNAP_POSITION:	// _xZkqqHx_jFjEjFgJiInKjDkOiOjOiCmMiDfIiDgJiDgCiDhGiImKjChFiBeC_xHqqkZx_
			ReadData(m_wSnapPosition, pStreamHead);
			break;
		case FDRDST_RESIZE_FIX_POSITION:	// _xZkqqHx_jFjEjFgJiDiKiDfEiDeDiDfJiOjOiCmMiMmFjCoIjDfPiImKjChFiBeC_xHqqkZx_
			ReadData(m_wResizeFixPosition, pStreamHead);
			break;
		case FDRDST_IS_PAGE_MARGIN_VISIBLE:	// _xZkqqHx_jFlGiPjBjHhAiOiGjHfNjEjCiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJiBeC_xHqqkZx_
			ReadData(m_bIsPageMarginVisible, pStreamHead);
			break;
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
		case FDRDST_SHEET_COLOR:				// _xZkqqHx_iDfGiBfLiDgHjAeGiBeC_xHqqkZx_
			ReadData(m_dwSheetColor, pStreamHead);
			break;
		case FDRDST_IS_PAINT_SHEET_ON_PRINT:	// _xZkqqHx_iIpDiNpMiOjOiCmJiDfGiBfLiDgHiCpAjDgIiCoJiCkJiBeIiBeC_xHqqkZx_
			ReadData(m_bIsPaintSheetOnPrint, pStreamHead);
			break;
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
		default:
			// _xZkqqHx_iDhEiDeAiDeDiDiLiCmMiDhNiDeDiDgJiBfLiDgPiBfLiDfHiDiHiDjDiDeBiDgCiDhGiDgPiBfLiDfHiDiHiDjDiCmFiNiAjGnKiCkKjBjNiCkGiClNiPoKiNiHiCmJiBeB_xHqqkZx_
			// _xZkqqHx_jBjNiCkGiClNiNiAjGnKiCpAjGlDiOiLiClHiCoJiClNiCnPiCmJiBeBiPeJjHlJiBeC_xHqqkZx_
			return;
		}
	}
} // MC4Reg::InStream.

void MC4Reg::OutStream (CArchive& ar)
{
	BYTEVector vStream;
	//-----	_xZkqqHx_iDfIiDgJiDgCiDhGiCmNjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_SNAP);
	vStream	<< m_bIsSnap;
	//-----	_xZkqqHx_iDePiDiKiDgCiDgIiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_GRID_VISIBLE);
	vStream	<< m_bIsGridVisible;
	//-----	_xZkqqHx_iDhJiBfLiDfHiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_PAGE_VISIBLE);
	vStream	<< m_bIsPageVisible;
	//-----	_xZkqqHx_iDfIiDgJiDgCiDhGiKnEiKhF_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_SNAP_INTERVAL);
	vStream	<< m_SnapInterval;
	//-----	_xZkqqHx_iDePiDiKiDgCiDgIiKnEiKhF_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_GRID_INTERVAL);
	vStream	<< m_GridInterval;
	//-----	_xZkqqHx_jDpKjGhLiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_TEXT_FORM_J1);
	vStream	<< m_bIsTextFormJ1;
	//-----	_xZkqqHx_iJhAiMoKiDgFiDeMiDfIiDgHjAkOiMgAiDiLiBfLiDiLiCfAiCkKjHeMiMpIiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_TEXT_FORM_E1);
	vStream	<< m_bIsTextFormE1;
	//-----	_xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiBeC_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_STD_FONT_CHARSET);
	vStream	<< m_wStdFontCharset;
	//-----	_xZkqqHx_iDhEiDeIiDjDiDgHiDfPiDeDiDeBiDiNiDePiCmMjFfHiPiAjFlGiOjKiDfKiDgCiDgHiCpAiOgHjHhAiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_USE_STD_FONT);
	vStream	<< m_bIsUseStdFont;
	//-----	_xZkqqHx_iDiJiDhIiDiLjFjEjFgJiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_SHOW_OBJ_LABEL);
	vStream	<< m_bIsShowObjLabel;
//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	//-----	_xZkqqHx_iDfCiDhDiBfLiOjOiCmMiJpAjBjMjDhI_xHqqkZx_ -----
//	vStream	<< BYTE(FDRDST_COPY_RESOLUTION);
//	vStream	<< m_dwCopyResolution;
//----- 05.08.19 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
	//-----	_xZkqqHx_jBePjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiE_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_FRONT_ARROW_AUTO_GAP);
	vStream	<< m_mmFrontArrowAutoGap;
	//-----	_xZkqqHx_iMoDjFpLjGoOiIpDiCmMiOkJjDkOjEhKjChFiKnEiMiE_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_BACK_ARROW_AUTO_GAP);
	vStream	<< m_mmBackArrowAutoGap;
	//-----	_xZkqqHx_iKhAjDhIiDfIiDgJiDgCiDhGiCmMiKnEiKhF_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_SNAP_ANGLE);
	vStream	<< m_angSnapAngle;
	//-----	_xZkqqHx_jFjEjFgJiInKjDkOiOjOiCmMiDfIiDgJiDgCiDhGiImKjChF_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_SNAP_POSITION);
	vStream	<< m_wSnapPosition;
	//-----	_xZkqqHx_jFjEjFgJiDiKiDfEiDeDiDfJiOjOiCmMiMmFjCoIjDfPiImKjChF_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_RESIZE_FIX_POSITION);
	vStream	<< m_wResizeFixPosition;
	//-----	_xZkqqHx_jFlGiPjBjHhAiOiGjHfNjEjCiCpAjFfMiOkGiClHiCoJiCkJiCmHiCkEiCkJ_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_PAGE_MARGIN_VISIBLE);
	vStream	<< m_bIsPageMarginVisible;
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	//-----	_xZkqqHx_iDfGiBfLiDgHjAeG_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_SHEET_COLOR);
	vStream	<< m_dwSheetColor;
	//-----	_xZkqqHx_iIpDiNpMiOjOiCmJiDfGiBfLiDgHiCpAjDgIiCoJiCkJiBeI_xHqqkZx_ -----
	vStream	<< BYTE(FDRDST_IS_PAINT_SHEET_ON_PRINT);
	vStream	<< m_bIsPaintSheetOnPrint;
//----- 06.02.26 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
	// _xZkqqHx_iDgGiBfLiDfOiDfEiDeDiDfJiCpAiPgPjHmNiClHiCoJiBeC_xHqqkZx_
	ar << DWORD(vStream.size());
	// _xZkqqHx_iDgGiBfLiDfOiCpAiPgPjHmNiBeC_xHqqkZx_
	ar.Write(&vStream.front(), (long)vStream.size());
} // MC4Reg::OutStream.

